|  | Home |

# Location Class Reference
(QMailMessagePartContainer::Location)

- List of all members, including inherited members

## Public Functions

| Location ()
| Location ( const QString & description )
| Location ( const Location & other )
QMailMessageId | containingMessageId () const
bool | isValid ( bool extended = true ) const
void | setContainingMessageId ( const QMailMessageId & id )
QString | toString ( bool extended ) const

## Member Function Documentation

### Location::Location ()

Creates an empty part location object.

### Location::Location ( const QString & description )

Creates a part location object referring to the location given by description.

See also toString().

### Location::Location ( const Location & other )

Creates a part location object containing a copy of other.

### QMailMessageId Location::containingMessageId () const

Returns the identifier of the message that contains the part with this location.

See also setContainingMessageId().

### bool Location::isValid ( bool extended = true ) const

Returns true if the location object contains the location of a valid message part. If extended is true, the location must also contain a valid message identifier.

### void Location::setContainingMessageId ( const QMailMessageId & id )

Sets the identifier of the message that contains the part with this location to id.

See also containingMessageId().

### QString Location::toString ( bool extended ) const

Returns a textual representation of the part location. If extended is true, the representation contains the identifier of the containing message.